> For the complete documentation index, see [llms.txt](https://developer.magtek.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.magtek.com/sdks-and-tools/universal-sdk-documentation/ios/connectioninfo.md).

# ConnectionInfo

Create an instance of the ConnectionInfo, then use the function calls described in this chapter.

### getAddress <a href="#id-7.1_getaddress" id="id-7.1_getaddress"></a>

This function returns the address of the device.

{% code overflow="wrap" %}

```
(NSString*) getAddress;
```

{% endcode %}

Return Value:

Returns the address of the device.

### getConnectionType <a href="#id-7.2_getconnectiontype" id="id-7.2_getconnectiontype"></a>

This function returns the type of connection Interface for the device.

{% code overflow="wrap" %}

```
(MTU_ConnectionType) getConnectionType;
```

{% endcode %}

Return Value:

Returns the MTU\_ConnectionType

### getDeviceType <a href="#id-7.3_getdevicetype" id="id-7.3_getdevicetype"></a>

This function returns the type for the device.

{% code overflow="wrap" %}

```
(MTU_DeviceType) getDeviceType;
```

{% endcode %}

Return Value:

Returns the MTU\_DeviceType.

### getCertificateInfo <a href="#id-7.4_getcertificateinfo" id="id-7.4_getcertificateinfo"></a>

This function returns the type for the device.

{% code overflow="wrap" %}

```
(CertificateInfo*) getCertificateInfo;
```

{% endcode %}

Return Value:

Returns the CertificateInfo\*. CertificateInfo:

### initWithDeviceType <a href="#id-7.5_initwithdevicetype" id="id-7.5_initwithdevicetype"></a>

This function initializes an instance of ConnectionInfo.

{% code overflow="wrap" %}

```
(ConnectionInfo*) initWithDeviceType:( MTU_DeviceType) deviceType 
        connectionType: (MTU_ConnectionType) connectionType 
                address: (NSString*) address; 

(ConnectionInfo*) initWithDeviceType: (MTU_DeviceType) deviceType 
        connectionType: (MTU_ConnectionType) connectionType 
                address: (NSString*) address certificate: (
        CertificateInfo*) certInfo;
```

{% endcode %}

<table data-header-hidden><thead><tr><th width="195.36358642578125" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Parameter</td><td valign="top">Description</td></tr><tr><td valign="top">deviceType</td><td valign="top">Enumerated device type.</td></tr><tr><td valign="top">connectionType</td><td valign="top">Enumerated connection type.</td></tr><tr><td valign="top">address</td><td valign="top"><p>Address for the device.</p><p> </p><p>For Ethernet devices, address should be in the form:</p><p>IP://IP-Address:PORT</p><p>for example, IP://10.57.10.180:26</p><p> </p><p>For Wireless devices, address should be in the form: TLS12://TLSDEVICESERIALNUMBER TLS12TRUST://TLSDEVICESERIALNUMBER</p><p>for example, TLS12://TLS99261829170E0810 TLS12TRUST://TLS99261829170E0810</p><p> </p><p>For Bluetooth LE devices, address should be in the form:</p><p>BLEEMV://DEVICENAME</p><p>for example, BLEEMV://DynaPro Go-EB66</p><p>For WebSocket or Secure WebSocket devices, address should be in the form:</p><p>ws://IP-Address or Hostname wss://IP-Address or Hostname for example, ws://192.168.1.150 wss://b512345.magtek.com</p><p> </p><p>The client private key certificate (e.g. filename client.p12) must be accessible to the custom software that makes a secure WebSocket (wss://) connection to the DynaFlex II PED.</p><p> </p><p> </p><p>For Serial devices, address should be in the form: </p><p>PORT=[PORT],</p><p>BAUDRATE=[BAUDRATE], </p><p>DATABITS=[DATABITS], </p><p>PARITY=[PARITY], </p><p>STOPBITS=[STOPBITS], </p><p>HANDSHAKE=[HANDSHAKE], </p><p>STARTINGBYTE=[STARTINGBYTE], </p><p>ENDINGBYTE=[ENDINGBYTE], </p><p>CRCMODE=[CRCMODE]</p></td></tr><tr><td valign="top">certInfo</td><td valign="top"><p>Certificate information for TLS Trust and WebSocket WSS connection. Optional. See the following for details on installing a certificate chain: <mark style="color:red;"><strong>DYNAFLEX TLS CERTIFICATE INSTALLATION MANUAL</strong></mark></p><p> </p><p>The client private key certificate (e.g. filename client.p12) must be accessible to the custom software that makes a secure WebSocket (wss://) connection to the DynaFlex II PED.</p><p> </p><p>The client.p12 certificate is not needed if the connection type is not secure WebSocket (ws://)</p></td></tr></tbody></table>

Return Value:

Returns an IDevice\*.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.magtek.com/sdks-and-tools/universal-sdk-documentation/ios/connectioninfo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
